Bug 450957 - krita crashes when switching the order of layers
Summary: krita crashes when switching the order of layers
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 5.0.2
Platform: Debian unstable Linux
: NOR crash
Target Milestone: ---
Assignee: Dmitry Kazakov
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2022-02-28 10:30 UTC by wickedmic
Modified: 2022-03-31 13:45 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
krita-file as minimal crash example for bug report 450957 (1.44 MB, application/x-krita)
2022-03-03 09:06 UTC, wickedmic
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wickedmic 2022-02-28 10:30:51 UTC
Application: krita (5.0.2)

Qt Version: 5.15.2
Frameworks Version: 5.90.0
Operating System: Linux 5.16.0-3-amd64 x86_64
Windowing System: X11
Distribution: Debian GNU/Linux bookworm/sid
DrKonqi: 5.24.2 [KCrashBackend]

-- Information about the crash:
Krita crashed after using the 'Move layer or mask down' (or up) button in the 'Layers' docker.
When starting Krita in a terminal, follwing lines are printed after clicking the mentioned button:

SAFE ASSERT (krita): "oldValue > 0" in file ./libs/image/tiles3/KisTiledExtentManager.cpp, line 94
ASSERT (krita): "m_buffer[currentIndex].loadAcquire() >= 0" in file ./libs/image/tiles3/KisTiledExtentManager.cpp, line 44
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = krita path = /usr/bin pid = 3479
KCrash: Arguments: /usr/bin/krita
ASSERT (krita): "m_buffer[currentIndex].loadAcquire() >= 0" in file ./libs/image/tiles3/KisTiledExtentManager.cpp, line 44

I tryied to reproduce the crash with gdb attached using the krita-dbgsym package, but was unable to find anything useful other than what is already been printed by the assert (gdb stops at KisTiledExtentManager.cpp:44).

The crash can be reproduced every time.

-- Backtrace:
Application: Krita (krita), signal: Aborted

[KCrash Handler]
#4  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:49
#5  0x00007f7bb2618546 in __GI_abort () at abort.c:79
#6  0x00007f7bb2a9cb61 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb3d43115 in kis_assert_common(char const*, char const*, int, bool, bool) (assertion=<optimized out>, file=<optimized out>, line=<optimized out>, throwException=<optimized out>, isIgnorable=<optimized out>) at ./libs/global/kis_assert.cpp:89
#8  0x00007f7bb4067698 in KisTiledExtentManager::Data::add(int) (this=0x55e6c35388f0, index=33) at ./libs/image/tiles3/KisTiledExtentManager.cpp:44
#9  0x00007f7bb4067ff1 in KisTiledExtentManager::notifyTileAdded(int, int) (this=0x55e6c35388a8, col=<optimized out>, row=33) at ./libs/image/tiles3/KisTiledExtentManager.cpp:257
#10 0x00007f7bb4064f6f in KisTiledDataManager::getTile(int, int, bool) (writable=true, row=33, col=42, this=0x55e6c3538870) at ./libs/image/tiles3/kis_tiled_data_manager.h:110
#11 KisTileDataWrapper::KisTileDataWrapper(KisTiledDataManager*, int, int, KisTileDataWrapper::accessType) (this=0x7f7ab17f99c0, dm=0x55e6c3538870, x=<optimized out>, y=<optimized out>, type=KisTileDataWrapper::WRITE) at ./libs/image/tiles3/kis_tile_data_wrapper.h:41
#12 0x00007f7bb405ebe5 in KisTiledDataManager::clear(QRect, unsigned char const*) (this=0x55e6c3538870, clearRect=..., clearPixel=<optimized out>) at ./libs/image/tiles3/kis_tiled_data_manager.cc:381
#13 0x00007f7bb42304de in KisDataManager::clear(int, int, int, int, unsigned char const*) (def=0x55e6c41f5a20 "", h=727, w=1695, y=2048, x=<optimized out>, this=<optimized out>) at ./libs/image/kis_datamanager.h:188
#14 KisPaintDevice::Private::KisPaintDeviceStrategy::clear(QRect const&) (this=0x55e6bf3025a0, rc=<optimized out>) at ./libs/image/kis_paint_device_strategies.h:63
#15 0x00007f7bb4174f0d in KisAsyncMerger::setupProjection(QSharedPointer<KisProjectionLeaf>, QRect const&, bool) (this=this@entry=0x55e6c8e817d8, currentLeaf=..., rect=..., useTempProjection=<optimized out>) at ./libs/global/kis_shared_ptr.h:167
#16 0x00007f7bb41727ec in KisAsyncMerger::startMerge(KisBaseRectsWalker&, bool) (this=this@entry=0x55e6c8e817d8, walker=..., notifyClones=notifyClones@entry=true) at ./libs/image/kis_async_merger.cpp:248
#17 0x00007f7bb4052f24 in KisUpdateJobItem::runMergeJob() (this=0x55e6c8e81790) at ./obj-x86_64-linux-gnu/libs/image/kritaimage_autogen/EWIEGA46WW/../../../../../libs/image/kis_update_job_item.h:123
#18 KisUpdateJobItem::run() (this=0x55e6c8e81790) at ./obj-x86_64-linux-gnu/libs/image/kritaimage_autogen/EWIEGA46WW/../../../../../libs/image/kis_update_job_item.h:74
#19 0x00007f7bb2adabf2 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#20 0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#21 0x00007f7bb0904d80 in start_thread (arg=0x7f7ab17fa640) at pthread_create.c:481
#22 0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 48 (Thread 0x7f7ac33ff640 (LWP 7423) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6c87baf40, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7ac33febf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7ac33febf0, clockid=1, mutex=0x55e6c87baef0, cond=0x55e6c87baf18) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6c87baf18, mutex=0x55e6c87baef0, abstime=0x7f7ac33febf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7ac33ff640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 47 (Thread 0x7f7ab9ffc640 (LWP 7422) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6c89f9034, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7ab9ffbbf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7ab9ffbbf0, clockid=1, mutex=0x55e6c89f8fe0, cond=0x55e6c89f9008) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6c89f9008, mutex=0x55e6c89f8fe0, abstime=0x7f7ab9ffbbf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7ab9ffc640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 46 (Thread 0x7f7abb7fe640 (LWP 7421) "Thread (pooled)"):
#1  0x00007f7bb2ad7d45 in QBasicMutex::lockInternal() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#2  0x00007f7bb2ad8053 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#3  0x00007f7bb2ad90ad in QReadWriteLock::tryLockForRead(int) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f7bb4057f15 in QReadLocker::relock() (this=0x7f7abb7fd730) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qreadwritelock.h:106
#5  QReadLocker::QReadLocker(QReadWriteLock*) (areadWriteLock=0x7f7bb43ffdf8 <(anonymous namespace)::Q_QGS_s_instance::innerFunction()::holder+216>, this=0x7f7abb7fd730) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qreadwritelock.h:125
#6  KisTileDataStore::registerTileData(KisTileData*) (this=0x7f7bb43ffd20 <(anonymous namespace)::Q_QGS_s_instance::innerFunction()::holder>, td=0x7f7a842f3890) at ./libs/image/tiles3/kis_tile_data_store.cc:133
#7  0x00007f7bb405809f in KisTileDataStore::duplicateTileData(KisTileData*) (this=0x7f7bb43ffd20 <(anonymous namespace)::Q_QGS_s_instance::innerFunction()::holder>, rhs=0x55e6c92b7e10) at ./libs/image/tiles3/kis_tile_data_store.cc:187
#8  0x00007f7bb40547fd in KisTileData::clone() (this=<optimized out>) at ./libs/image/tiles3/kis_tile_data.h:76
#9  KisTile::lockForWrite() (this=0x7f7a8448e760) at ./libs/image/tiles3/kis_tile.cc:239
#10 0x00007f7bb40759fd in KisRandomAccessor2::lockTile(KisSharedPtr<KisTile>&) (this=<optimized out>, tile=<optimized out>, this=0x7f7aac5d9400, tile=...) at ./libs/image/tiles3/kis_random_accessor.h:39
#11 KisRandomAccessor2::fetchTileData(int, int) (this=0x7f7aac5d9400, col=50, row=60) at ./libs/image/tiles3/kis_random_accessor.cc:115
#12 0x00007f7bb4075cc6 in KisRandomAccessor2::moveTo(int, int) (this=0x7f7aac5d9400, x=3200, y=3840) at ./libs/image/tiles3/kis_random_accessor.cc:80
#13 0x00007f7bb408e890 in KisPainter::bitBltImpl<false>(int, int, KisSharedPtr<KisPaintDevice>, int, int, int, int) (this=0x7f7abb7fdb50, dstX=<optimized out>, dstY=<optimized out>, srcDev=..., srcX=<optimized out>, srcY=<optimized out>, srcWidth=<optimized out>, srcHeight=<optimized out>) at ./libs/image/kis_painter.cc:795
#14 0x00007f7bb4082c85 in KisPainter::bitBlt(int, int, KisSharedPtr<KisPaintDevice>, int, int, int, int) (this=<optimized out>, dstX=<optimized out>, dstY=<optimized out>, srcDev=..., srcX=<optimized out>, srcY=<optimized out>, srcWidth=1079, srcHeight=2083) at ./libs/image/kis_painter.cc:828
#15 0x00007f7bb4082d3e in KisPainter::bitBlt(QPoint const&, KisSharedPtr<KisPaintDevice>, QRect const&) (this=this@entry=0x7f7abb7fdb50, pos=..., srcDev=..., srcRect=...) at ./libs/image/kis_painter.cc:834
#16 0x00007f7bb41c75fa in KisLayerProjectionPlane::applyImpl(KisPainter*, QRect const&, KritaUtils::ThresholdMode) (this=0x55e6c2250210, painter=0x7f7abb7fdb50, rect=<optimized out>, thresholdMode=KritaUtils::ThresholdNone) at ./libs/image/kis_layer_projection_plane.cpp:102
#17 0x00007f7bb4171d4f in KisAsyncMerger::compositeWithProjection(QSharedPointer<KisProjectionLeaf>, QRect const&) (rect=..., leaf=..., this=0x55e6c10a6b28) at ./libs/image/kis_async_merger.cpp:358
#18 KisAsyncMerger::startMerge(KisBaseRectsWalker&, bool) (this=this@entry=0x55e6c10a6b28, walker=..., notifyClones=notifyClones@entry=true) at ./libs/image/kis_async_merger.cpp:282
#19 0x00007f7bb4052f24 in KisUpdateJobItem::runMergeJob() (this=0x55e6c10a6ae0) at ./obj-x86_64-linux-gnu/libs/image/kritaimage_autogen/EWIEGA46WW/../../../../../libs/image/kis_update_job_item.h:123
#20 KisUpdateJobItem::run() (this=0x55e6c10a6ae0) at ./obj-x86_64-linux-gnu/libs/image/kritaimage_autogen/EWIEGA46WW/../../../../../libs/image/kis_update_job_item.h:74
#21 0x00007f7bb2adabf2 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#22 0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#23 0x00007f7bb0904d80 in start_thread (arg=0x7f7abb7fe640) at pthread_create.c:481
#24 0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 45 (Thread 0x7f7ab2aa4640 (LWP 7384) "krita:gdrv0"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6c84ea79c, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6c84ea748, cond=0x55e6c84ea770) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6c84ea770, mutex=0x55e6c84ea748) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7ab2aa4640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 44 (Thread 0x7f79b17c6640 (LWP 7257) "krita:gdrv0"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6c5e401c8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6c5e40178, cond=0x55e6c5e401a0) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6c5e401a0, mutex=0x55e6c5e40178) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f79b17c6640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 43 (Thread 0x7f7ab1ffb640 (LWP 7240) "krita:gdrv0"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6c995fd48, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6c995fcf8, cond=0x55e6c995fd20) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6c995fd20, mutex=0x55e6c995fcf8) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7ab1ffb640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 42 (Thread 0x7f7adbbff640 (LWP 7185) "QQuickPixmapRea"):
#1  0x00007f7bb0009f1e in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7bb000a03f in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7bb2d131f6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f7bb2cba55b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2ad68ee in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7b99856546 in  () at /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#7  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f7bb0904d80 in start_thread (arg=0x7f7adbbff640) at pthread_create.c:481
#9  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 41 (Thread 0x7f7aed0b1640 (LWP 7184) "QQmlThread"):
#1  0x00007f7bb0009f1e in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7bb000a03f in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7bb2d131f6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f7bb2cba55b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2ad68ee in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7b995a88c5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f7bb0904d80 in start_thread (arg=0x7f7aed0b1640) at pthread_create.c:481
#9  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 40 (Thread 0x7f7aef7fe640 (LWP 7183) "KisTileDataSwap"):
#1  0x00007f7bb2ad7d45 in QBasicMutex::lockInternal() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#2  0x00007f7bb2ad8053 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#3  0x00007f7bb2ad9680 in QReadWriteLock::unlock() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f7bb40572c3 in KisTileDataStore::endIteration(KisTileDataStoreIterator*) (this=<optimized out>, iterator=<optimized out>) at ./libs/image/tiles3/kis_tile_data_store.cc:288
#5  0x00007f7bb407a7e5 in SoftSwapStrategy::endIteration(KisTileDataStore*, KisTileDataStoreIterator*) (iter=0x7f7adc0038c0, store=<optimized out>) at ./libs/image/tiles3/swap/kis_tile_data_swapper.cpp:145
#6  KisTileDataSwapper::pass<SoftSwapStrategy>(long long) (this=this@entry=0x7f7bb43ffd60 <(anonymous namespace)::Q_QGS_s_instance::innerFunction()::holder+64>, needToFreeMetric=379687) at ./libs/image/tiles3/swap/kis_tile_data_swapper.cpp:221
#7  0x00007f7bb407a0e9 in KisTileDataSwapper::doJob() (this=0x7f7bb43ffd60 <(anonymous namespace)::Q_QGS_s_instance::innerFunction()::holder+64>) at ./libs/image/tiles3/swap/kis_tile_data_swapper.cpp:121
#8  0x00007f7bb407a502 in KisTileDataSwapper::run() (this=0x7f7bb43ffd60 <(anonymous namespace)::Q_QGS_s_instance::innerFunction()::holder+64>) at ./libs/image/tiles3/swap/kis_tile_data_swapper.cpp:87
#9  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007f7bb0904d80 in start_thread (arg=0x7f7aef7fe640) at pthread_create.c:481
#11 0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 39 (Thread 0x7f7b0cd9d640 (LWP 7181) "Qt bearer threa"):
#1  0x00007f7bb0009f1e in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7bb000a03f in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7bb2d131f6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f7bb2cba55b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2ad68ee in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7b0cd9d640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 38 (Thread 0x7f7b0e7fc640 (LWP 7180) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbfd0d04, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7b0e7fbbf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7b0e7fbbf0, clockid=1, mutex=0x55e6bbfd0cb0, cond=0x55e6bbfd0cd8) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6bbfd0cd8, mutex=0x55e6bbfd0cb0, abstime=0x7f7b0e7fbbf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7b0e7fc640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 37 (Thread 0x7f7b0effd640 (LWP 7179) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbfd0bf0, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7b0effcbf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7b0effcbf0, clockid=1, mutex=0x55e6bbfd0ba0, cond=0x55e6bbfd0bc8) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6bbfd0bc8, mutex=0x55e6bbfd0ba0, abstime=0x7f7b0effcbf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7b0effd640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 36 (Thread 0x7f7b0f7fe640 (LWP 7178) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbfd0ae4, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7b0f7fdbf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7b0f7fdbf0, clockid=1, mutex=0x55e6bbfd0a90, cond=0x55e6bbfd0ab8) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6bbfd0ab8, mutex=0x55e6bbfd0a90, abstime=0x7f7b0f7fdbf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7b0f7fe640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 35 (Thread 0x7f7b0ffff640 (LWP 7177) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbf1b050, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7b0fffebf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7b0fffebf0, clockid=1, mutex=0x55e6bbf1b000, cond=0x55e6bbf1b028) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6bbf1b028, mutex=0x55e6bbf1b000, abstime=0x7f7b0fffebf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7b0ffff640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 34 (Thread 0x7f7b2cb38640 (LWP 7176) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbfb15b0, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7b2cb37bf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7b2cb37bf0, clockid=1, mutex=0x55e6bbfb1560, cond=0x55e6bbfb1588) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6bbfb1588, mutex=0x55e6bbfb1560, abstime=0x7f7b2cb37bf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7b2cb38640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 33 (Thread 0x7f7b2dffb640 (LWP 7175) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbcd1b84, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7b2dffabf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7b2dffabf0, clockid=1, mutex=0x55e6bbcd1b30, cond=0x55e6bbcd1b58) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6bbcd1b58, mutex=0x55e6bbcd1b30, abstime=0x7f7b2dffabf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7b2dffb640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 32 (Thread 0x7f7b2e7fc640 (LWP 7174) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbcd1a74, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7b2e7fbbf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7b2e7fbbf0, clockid=1, mutex=0x55e6bbcd1a20, cond=0x55e6bbcd1a48) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6bbcd1a48, mutex=0x55e6bbcd1a20, abstime=0x7f7b2e7fbbf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7b2e7fc640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 31 (Thread 0x7f7b2effd640 (LWP 7173) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbf7f500, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7b2effcbf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7b2effcbf0, clockid=1, mutex=0x55e6bbf7f4b0, cond=0x55e6bbf7f4d8) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6bbf7f4d8, mutex=0x55e6bbf7f4b0, abstime=0x7f7b2effcbf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7b2effd640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 30 (Thread 0x7f7b2f7fe640 (LWP 7172) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbf7f410, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7b2f7fdbf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7b2f7fdbf0, clockid=1, mutex=0x55e6bbf7f3c0, cond=0x55e6bbf7f3e8) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6bbf7f3e8, mutex=0x55e6bbf7f3c0, abstime=0x7f7b2f7fdbf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7b2f7fe640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 29 (Thread 0x7f7b2ffff640 (LWP 7171) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bc3a16e0, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7b2fffebf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7b2fffebf0, clockid=1, mutex=0x55e6bc3a1690, cond=0x55e6bc3a16b8) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6bc3a16b8, mutex=0x55e6bc3a1690, abstime=0x7f7b2fffebf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7b2ffff640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 28 (Thread 0x7f7b34b38640 (LWP 7170) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bc161740, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7b34b37bf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7b34b37bf0, clockid=1, mutex=0x55e6bc1616f0, cond=0x55e6bc161718) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6bc161718, mutex=0x55e6bc1616f0, abstime=0x7f7b34b37bf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7b34b38640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 27 (Thread 0x7f7b35339640 (LWP 7169) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbcdc9e0, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7b35338bf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7b35338bf0, clockid=1, mutex=0x55e6bbcdc990, cond=0x55e6bbcdc9b8) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6bbcdc9b8, mutex=0x55e6bbcdc990, abstime=0x7f7b35338bf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7b35339640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 26 (Thread 0x7f7b2d339640 (LWP 7168) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbf7eac0, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7b2d338bf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7b2d338bf0, clockid=1, mutex=0x55e6bbf7ea70, cond=0x55e6bbf7ea98) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6bbf7ea98, mutex=0x55e6bbf7ea70, abstime=0x7f7b2d338bf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7b2d339640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 25 (Thread 0x7f7b35b3a640 (LWP 7167) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbd05794, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7b35b39bf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7b35b39bf0, clockid=1, mutex=0x55e6bbd05740, cond=0x55e6bbd05768) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6bbd05768, mutex=0x55e6bbd05740, abstime=0x7f7b35b39bf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7b35b3a640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 24 (Thread 0x7f7b3633b640 (LWP 7166) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bc174f30, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7b3633abf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7b3633abf0, clockid=1, mutex=0x55e6bc174ee0, cond=0x55e6bc174f08) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6bc174f08, mutex=0x55e6bc174ee0, abstime=0x7f7b3633abf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7b3633b640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 23 (Thread 0x7f7b64ff9640 (LWP 7165) "Thread (pooled)"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bc168280, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f7b64ff8bf0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7f7b64ff8bf0, clockid=1, mutex=0x55e6bc168230, cond=0x55e6bc168258) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6bc168258, mutex=0x55e6bc168230, abstime=0x7f7b64ff8bf0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2adada5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb0904d80 in start_thread (arg=0x7f7b64ff9640) at pthread_create.c:481
#8  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 22 (Thread 0x7f7b657fa640 (LWP 7163) "krita:gdrv0"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbc26278, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbc26228, cond=0x55e6bbc26250) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbc26250, mutex=0x55e6bbc26228) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b657fa640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7f7b65ffb640 (LWP 7162) "krita:shlo4"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbafbaa4, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbafba50, cond=0x55e6bbafba78) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbafba78, mutex=0x55e6bbafba50) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b65ffb640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7f7b667fc640 (LWP 7161) "krita:shlo3"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbafbaa4, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbafba50, cond=0x55e6bbafba78) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbafba78, mutex=0x55e6bbafba50) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b667fc640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7f7b67fff640 (LWP 7160) "krita:shlo2"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbafbaa4, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbafba50, cond=0x55e6bbafba78) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbafba78, mutex=0x55e6bbafba50) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b67fff640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7f7b6dffb640 (LWP 7159) "krita:shlo1"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbafbaa4, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbafba50, cond=0x55e6bbafba78) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbafba78, mutex=0x55e6bbafba50) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b6dffb640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7f7b6e7fc640 (LWP 7158) "krita:shlo0"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbafbaa0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbafba50, cond=0x55e6bbafba78) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbafba78, mutex=0x55e6bbafba50) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b6e7fc640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f7b6effd640 (LWP 7157) "krita:sh11"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbafb534, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbafb4e0, cond=0x55e6bbafb508) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbafb508, mutex=0x55e6bbafb4e0) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b6effd640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f7b6f7fe640 (LWP 7156) "krita:sh10"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbafb534, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbafb4e0, cond=0x55e6bbafb508) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbafb508, mutex=0x55e6bbafb4e0) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b6f7fe640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f7b6ffff640 (LWP 7155) "krita:sh9"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbafb534, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbafb4e0, cond=0x55e6bbafb508) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbafb508, mutex=0x55e6bbafb4e0) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b6ffff640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f7b90ff9640 (LWP 7154) "krita:sh8"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbafb530, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbafb4e0, cond=0x55e6bbafb508) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbafb508, mutex=0x55e6bbafb4e0) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b90ff9640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f7b917fa640 (LWP 7153) "krita:sh7"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbafb534, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbafb4e0, cond=0x55e6bbafb508) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbafb508, mutex=0x55e6bbafb4e0) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b917fa640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f7b91ffb640 (LWP 7152) "krita:sh6"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbafb534, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbafb4e0, cond=0x55e6bbafb508) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbafb508, mutex=0x55e6bbafb4e0) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b91ffb640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f7b927fc640 (LWP 7151) "krita:sh5"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbafb534, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbafb4e0, cond=0x55e6bbafb508) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbafb508, mutex=0x55e6bbafb4e0) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b927fc640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f7b92ffd640 (LWP 7150) "krita:sh4"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbafb534, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbafb4e0, cond=0x55e6bbafb508) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbafb508, mutex=0x55e6bbafb4e0) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b92ffd640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f7b937fe640 (LWP 7149) "krita:sh3"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbafb530, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbafb4e0, cond=0x55e6bbafb508) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbafb508, mutex=0x55e6bbafb4e0) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b937fe640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f7b93fff640 (LWP 7148) "krita:sh2"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbafb530, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbafb4e0, cond=0x55e6bbafb508) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbafb508, mutex=0x55e6bbafb4e0) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b93fff640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f7b98cc2640 (LWP 7147) "krita:sh1"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbafb530, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbafb4e0, cond=0x55e6bbafb508) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbafb508, mutex=0x55e6bbafb4e0) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b98cc2640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f7b6d7fa640 (LWP 7146) "krita:sh0"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bbafb530, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bbafb4e0, cond=0x55e6bbafb508) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bbafb508, mutex=0x55e6bbafb4e0) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b6d7fa640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f7b6cff9640 (LWP 7145) "krita:disk$0"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bb9109f8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bb9109a8, cond=0x55e6bb9109d0) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bb9109d0, mutex=0x55e6bb9109a8) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b6cff9640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f7b66ffd640 (LWP 7144) "krita:cs0"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bba24828, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090ac30 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e6bba247d8, cond=0x55e6bba24800) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55e6bba24800, mutex=0x55e6bba247d8) at pthread_cond_wait.c:619
#4  0x00007f7ba5938c9b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f7ba59388f7 in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#6  0x00007f7bb0904d80 in start_thread (arg=0x7f7b66ffd640) at pthread_create.c:481
#7  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f7ba7fff640 (LWP 7080) "QDBusConnection"):
#1  0x00007f7bb0009f1e in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7bb000a03f in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7bb2d131f6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f7bb2cba55b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2ad68ee in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bafdf1537 in  () at /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#7  0x00007f7bb2ad7a21 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f7bb0904d80 in start_thread (arg=0x7f7ba7fff640) at pthread_create.c:481
#9  0x00007f7bb26f076f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f7bad250f00 (LWP 7078) "krita"):
#1  0x00007f7bb091115b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55e6bf4369d0, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7ffd7e2e29b0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f7bb090af44 in __pthread_cond_wait_common (abstime=0x7ffd7e2e29b0, clockid=1, mutex=0x55e6bf436980, cond=0x55e6bf4369a8) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x55e6bf4369a8, mutex=0x55e6bf436980, abstime=0x7ffd7e2e29b0) at pthread_cond_wait.c:637
#4  0x00007f7bb2add808 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7bb2ad76f9 in QThread::wait(QDeadlineTimer) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7bb2ad664c in QThread::wait(unsigned long) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7bb4079f38 in KisTileDataSwapper::terminateSwapper() (this=this@entry=0x7f7bb43ffd60 <(anonymous namespace)::Q_QGS_s_instance::innerFunction()::holder+64>) at ./libs/image/tiles3/swap/kis_tile_data_swapper.cpp:69
#8  0x00007f7bb40583f9 in KisTileDataStore::~KisTileDataStore() (this=0x7f7bb43ffd20 <(anonymous namespace)::Q_QGS_s_instance::innerFunction()::holder>, __in_chrg=<optimized out>) at ./libs/image/tiles3/kis_tile_data_store.cc:73
#9  0x00007f7bb4058889 in (anonymous namespace)::Q_QGS_s_instance::Holder::~Holder() (this=<optimized out>, __in_chrg=<optimized out>) at ./libs/image/tiles3/kis_tile_data_store.cc:19
#10 0x00007f7bb2630f77 in __run_exit_handlers (status=1, listp=0x7f7bb27c4738 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true, run_dtors=run_dtors@entry=true) at exit.c:108
#11 0x00007f7bb263111a in __GI_exit (status=<optimized out>) at exit.c:139
#12 0x00007f7bacd72089 in  () at /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#13 0x00007f7bacda05d3 in  () at /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#14 0x00007f7bb0009cdb in g_main_context_dispatch () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#15 0x00007f7bb0009f88 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#16 0x00007f7bb000a03f in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#17 0x00007f7bb2d13184 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#18 0x00007f7bb2cba55b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#19 0x00007f7bb2cc2830 in QCoreApplication::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#20 0x000055e6b9ec0c64 in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at ./krita/main.cc:698
[Inferior 1 (process 7078) detached]

Possible duplicates by query: bug 446650, bug 446315, bug 445795, bug 443308, bug 443189.

Reported using DrKonqi
Comment 1 Halla Rempt 2022-02-28 10:33:06 UTC
Can you check whether this also happens with the appimage instead of the distribution build?
Comment 2 wickedmic 2022-03-01 08:43:28 UTC
I tried krita-5.0.2-alpha-b0dc7adc07-x86_64.appimage and krita-5.1.0-prealpha-c824707a38-x86_64.appimage, and was able to reproduce the crash in both versions.

I did some tests and found that this is only happening in one of my kra-files. All other files I tested did not produce this crash. So for that file I tried to successively remove layers to see if the problem goes away. When I removed all layers, which used transform masks, the crash did not occur anymore (not once after using krita for 1 or 2 hours).

Also note: sometimes the crash does not happen immediately after clicking the 'Move layer or mask down', but after switching the layer back and forth a few times.
Comment 3 Halla Rempt 2022-03-01 09:39:36 UTC
Could you attach the file that shows the crash, or make it available for download?
Comment 4 Bug Janitor Service 2022-03-02 04:35:59 UTC
Thanks for your comment!

Automatically switching the status of this bug to REPORTED so that the KDE team
knows that the bug is ready to get confirmed.

In the future you may also do this yourself when providing needed information.
Comment 5 Dmitry Kazakov 2022-03-02 13:07:39 UTC
I can reproduce a crash when moving a layer with a transform mask attached using Ctrl+PgUp/PgDown shortcuts. It doesn't assert here, just crashed. But that is kind of expected.
Comment 6 wickedmic 2022-03-03 09:06:03 UTC
Created attachment 147254 [details]
krita-file as minimal crash example for bug report 450957

I was able to reduce my krita file down to a few layers so that the crash still occurs.
I can reproduce the crash with the attached file by swapping the layers named 'swap me for crash' a few times.

Hope that helps
Comment 7 Dmitry Kazakov 2022-03-10 08:15:11 UTC
Hi, wickedmic!

Thank you for the test file! It makes it really easy to reproduce the bug here! :)
Comment 8 Dmitry Kazakov 2022-03-10 17:06:40 UTC
Git commit 2e9c60d35aa02e0e4d5881ddbd6b64c94d762a35 by Dmitry Kazakov.
Committed on 10/03/2022 at 16:09.
Pushed by dkazakov into branch 'master'.

Fix threading issues in the scheduler when manipulating layers

After several iterations of changes to KisNode::changeRect() definition,
KisBaseRectsWalker::changeRect() now means **not** the rect of the canvas
that is changed by the walker on any layer, but only a rect that will be
changed in the end of the merge operation. It means that two merge
operations may still overlap on the intermediate layers if the layer
stack has nodes with weird change/needRect(). And that can cause
breakage of the tile manager's invariants, because two threads would
write into overlapping areas.

This patch fixes it in a suboptimal approach. Now the scheduler just checks
if accessRect of the walkers intersect. That means that the scheduler
now also blocks walkers with overlapping **read** rects, which are totally
legal.

M  +7    -2    libs/image/kis_updater_context.cpp

https://invent.kde.org/graphics/krita/commit/2e9c60d35aa02e0e4d5881ddbd6b64c94d762a35
Comment 9 Dmitry Kazakov 2022-03-10 17:06:48 UTC
Git commit 827c03d5ddd74a4f18f55ed892f49e391ec2ecc1 by Dmitry Kazakov.
Committed on 10/03/2022 at 16:09.
Pushed by dkazakov into branch 'master'.

Make sure that actions that modify layers stack are exclusive

If a layer gets removed while an update is running, the update may
assert in some cases.

M  +16   -8    libs/ui/kis_node_juggler_compressed.cpp

https://invent.kde.org/graphics/krita/commit/827c03d5ddd74a4f18f55ed892f49e391ec2ecc1
Comment 10 Dmitry Kazakov 2022-03-16 14:02:49 UTC
Git commit e465267b6b29d7ff53f1ee73b90d7b64858134f6 by Dmitry Kazakov.
Committed on 16/03/2022 at 13:46.
Pushed by dkazakov into branch 'master'.

Fix KisRefreshSubtreeWalker to skip hidden layers when merging

The test file in the referenced bug showed really slow updates
because KisRefreshSubtreeWalker took the hidden transform masks
into account when calculating update rect.

M  +1    -1    libs/image/kis_async_merger.cpp
M  +1    -1    libs/image/kis_refresh_subtree_walker.h

https://invent.kde.org/graphics/krita/commit/e465267b6b29d7ff53f1ee73b90d7b64858134f6
Comment 11 Dmitry Kazakov 2022-03-16 14:02:57 UTC
Git commit d39f8a675b5fe6604dd4e9d64c7c0f76d4f68724 by Dmitry Kazakov.
Committed on 16/03/2022 at 13:46.
Pushed by dkazakov into branch 'master'.

Do not recalculate entire group when a layer is moved

When we move a layer inside a group, we need to only recompose the
pregenerated layers. We don't need to regenerate all the projections
of all the layers inside. The other layers may have complex masks, e.g.
transformation masks.

M  +2    -2    libs/image/commands/kis_image_layer_move_command.cpp
M  +1    -0    libs/image/kis_base_rects_walker.h
M  +8    -3    libs/image/kis_full_refresh_walker.h
M  +14   -10   libs/image/kis_image.cc
M  +4    -4    libs/image/kis_image.h
M  +12   -4    libs/image/kis_image_interfaces.h
M  +2    -1    libs/image/kis_projection_updates_filter.cpp
M  +3    -2    libs/image/kis_projection_updates_filter.h
M  +25   -5    libs/image/kis_refresh_subtree_walker.h
M  +2    -1    libs/image/kis_regenerate_frame_stroke_strategy.cpp
M  +8    -0    libs/image/kis_simple_update_queue.cpp
M  +1    -0    libs/image/kis_simple_update_queue.h
M  +36   -6    libs/image/kis_suspend_projection_updates_stroke_strategy.cpp
M  +6    -0    libs/image/kis_update_scheduler.cpp
M  +1    -0    libs/image/kis_update_scheduler.h
M  +4    -1    libs/image/tests/kis_simple_update_queue_test.cpp
M  +2    -2    libs/ui/kis_node_juggler_compressed.cpp

https://invent.kde.org/graphics/krita/commit/d39f8a675b5fe6604dd4e9d64c7c0f76d4f68724
Comment 12 Dmitry Kazakov 2022-03-31 13:45:02 UTC
Git commit 9b26379212cee78220e0f9c26e2e1668f2474327 by Dmitry Kazakov.
Committed on 31/03/2022 at 13:43.
Pushed by dkazakov into branch 'krita/5.0'.

Make sure that actions that modify layers stack are exclusive

If a layer gets removed while an update is running, the update may
assert in some cases.

M  +16   -8    libs/ui/kis_node_juggler_compressed.cpp

https://invent.kde.org/graphics/krita/commit/9b26379212cee78220e0f9c26e2e1668f2474327
Comment 13 Dmitry Kazakov 2022-03-31 13:45:19 UTC
Git commit 2d832ae6086921764b1db1bb470ae248aeb57465 by Dmitry Kazakov.
Committed on 31/03/2022 at 13:43.
Pushed by dkazakov into branch 'krita/5.0'.

Do not recalculate entire group when a layer is moved

When we move a layer inside a group, we need to only recompose the
pregenerated layers. We don't need to regenerate all the projections
of all the layers inside. The other layers may have complex masks, e.g.
transformation masks.

M  +2    -2    libs/image/commands/kis_image_layer_move_command.cpp
M  +1    -0    libs/image/kis_base_rects_walker.h
M  +8    -3    libs/image/kis_full_refresh_walker.h
M  +14   -10   libs/image/kis_image.cc
M  +4    -4    libs/image/kis_image.h
M  +12   -4    libs/image/kis_image_interfaces.h
M  +2    -1    libs/image/kis_projection_updates_filter.cpp
M  +3    -2    libs/image/kis_projection_updates_filter.h
M  +25   -5    libs/image/kis_refresh_subtree_walker.h
M  +2    -1    libs/image/kis_regenerate_frame_stroke_strategy.cpp
M  +8    -0    libs/image/kis_simple_update_queue.cpp
M  +1    -0    libs/image/kis_simple_update_queue.h
M  +36   -6    libs/image/kis_suspend_projection_updates_stroke_strategy.cpp
M  +6    -0    libs/image/kis_update_scheduler.cpp
M  +1    -0    libs/image/kis_update_scheduler.h
M  +4    -1    libs/image/tests/kis_simple_update_queue_test.cpp
M  +2    -2    libs/ui/kis_node_juggler_compressed.cpp

https://invent.kde.org/graphics/krita/commit/2d832ae6086921764b1db1bb470ae248aeb57465
Comment 14 Dmitry Kazakov 2022-03-31 13:45:35 UTC
Git commit 5c85897c73ea1e50ad15e14b3376f069a9b52687 by Dmitry Kazakov.
Committed on 31/03/2022 at 13:43.
Pushed by dkazakov into branch 'krita/5.0'.

Fix KisRefreshSubtreeWalker to skip hidden layers when merging

The test file in the referenced bug showed really slow updates
because KisRefreshSubtreeWalker took the hidden transform masks
into account when calculating update rect.

M  +1    -1    libs/image/kis_async_merger.cpp
M  +1    -1    libs/image/kis_refresh_subtree_walker.h

https://invent.kde.org/graphics/krita/commit/5c85897c73ea1e50ad15e14b3376f069a9b52687